@echo off

echo checking for NT Version
if not "%OS%"=="Windows_NT" goto :bados

:start
regedit /e c:\ut2k3.out "HKEY_LOCAL_MACHINE\SOFTWARE\UNREAL TECHNOLOGY\INSTALLED APPS\UT2003"

set FILE=C:\ut2k3.out
if not exist %FILE% goto :end
set STRING1=\\
set STRING2=\
set TMPFILE=%FILE%.TMP
if exist "%TMPFILE%" del /f/q "%TMPFILE%"

for /f "tokens=* delims== tokens=2* " %%a in ('type %FILE% ^|find /i ":"') do Call :changeline %%a
@Copy "%TMPFILE%" "%FILE%"
@del /f/q "%TMPFILE%"
echo %UTLOC% > ut.out

goto :run

:changeline
set LINE=%1
set LINE=%LINE:"=%

for /F "tokens=*" %%x in (' echo %%LINE:%STRING1%^=%STRING2%%%') do set UTLOC=%%x

goto :EOF

:run 
CLS 
echo [%UTLOC%] is the path that the batch file found! 
echo Pausing for you to CTRL-Break out of Batch if path is incorrect
echo. 
rem pause
echo.
echo Making Directory %UTLOC%\Benchmark\Custom_MaxDetail\Custom_MaxDetail.ini
rem if exist "%UTLOC%\Benchmark\Custom_MaxDetail" rd /s /q "%UTLOC%\Benchmark\Custom_MaxDetail"
rem md "%UTLOC%\Benchmark\Custom_MaxDetail" 
rem copy Custom_MaxDetail.ini %UTLOC%\Benchmark\Custom_MaxDetail

if exist %UTLOC%\Benchmark\lowframerate.log del %UTLOC%\Benchmark\lowframerate.log
if exist %UTLOC%\Benchmark\benchmark.log del %UTLOC%\Benchmark\benchmark.log
if exist HQ_FPS.txt del HQ_FPS.txt

echo Pausing To Confirm Continuation of Benchmarking
echo.
rem pause
echo.
echo Running Benchmarks...

"%UTLOC%\System\ut2003.exe" dm-antalus?game=engine.gameinfo exec=%UTLOC%\Benchmark\Stuff\flybyexec.txt -benchmark -seconds=77 -nosound ini=%UTLOC%\Benchmark\Custom_MaxDetail\Custom_MaxDetail.ini userini=%UTLOC%\Benchmark\Stuff\MaxDetailUser.ini -1600x1200
rem "%UTLOC%\System\ut2003.exe" dm-antalus?game=engine.gameinfo exec=%UTLOC%\Benchmark\Stuff\flybyexec.txt -benchmark -seconds=77 -nosound ini=%UTLOC%\Benchmark\Custom_MaxDetail\Custom_MaxDetail.ini userini=%UTLOC%\Benchmark\Stuff\MaxDetailUser.ini -1280x1024
rem "%UTLOC%\System\ut2003.exe" dm-antalus?game=engine.gameinfo exec=%UTLOC%\Benchmark\Stuff\flybyexec.txt -benchmark -seconds=77 -nosound ini=%UTLOC%\Benchmark\Custom_MaxDetail\Custom_MaxDetail.ini userini=%UTLOC%\Benchmark\Stuff\MaxDetailUser.ini -1024x768

"%UTLOC%\System\ut2003.exe" dom-suntemple?game=engine.gameinfo exec=%UTLOC%\Benchmark\Stuff\flybyexec.txt -benchmark -seconds=77 -nosound ini=%UTLOC%\Benchmark\Custom_MaxDetail\Custom_MaxDetail.ini userini=%UTLOC%\Benchmark\Stuff\MaxDetailUser.ini -1600x1200 
rem "%UTLOC%\System\ut2003.exe" dom-suntemple?game=engine.gameinfo exec=%UTLOC%\Benchmark\Stuff\flybyexec.txt -benchmark -seconds=77 -nosound ini=%UTLOC%\Benchmark\Custom_MaxDetail\Custom_MaxDetail.ini userini=%UTLOC%\Benchmark\Stuff\MaxDetailUser.ini -1280x1024 
rem "%UTLOC%\System\ut2003.exe" dom-suntemple?game=engine.gameinfo exec=%UTLOC%\Benchmark\Stuff\flybyexec.txt -benchmark -seconds=77 -nosound ini=%UTLOC%\Benchmark\Custom_MaxDetail\Custom_MaxDetail.ini userini=%UTLOC%\Benchmark\Stuff\MaxDetailUser.ini -1024x768 

"%UTLOC%\System\ut2003.exe" dm-phobos2?game=engine.gameinfo exec=%UTLOC%\Benchmark\Stuff\flybyexec.txt -benchmark -seconds=77 -nosound ini=%UTLOC%\Benchmark\Custom_MaxDetail\Custom_MaxDetail.ini userini=%UTLOC%\Benchmark\Stuff\MaxDetailUser.ini -1600x1200  
rem "%UTLOC%\System\ut2003.exe" dm-phobos2?game=engine.gameinfo exec=%UTLOC%\Benchmark\Stuff\flybyexec.txt -benchmark -seconds=77 -nosound ini=%UTLOC%\Benchmark\Custom_MaxDetail\Custom_MaxDetail.ini userini=%UTLOC%\Benchmark\Stuff\MaxDetailUser.ini -1280x1024
rem "%UTLOC%\System\ut2003.exe" dm-phobos2?game=engine.gameinfo exec=%UTLOC%\Benchmark\Stuff\flybyexec.txt -benchmark -seconds=77 -nosound ini=%UTLOC%\Benchmark\Custom_MaxDetail\Custom_MaxDetail.ini userini=%UTLOC%\Benchmark\Stuff\MaxDetailUser.ini -1024x768 

"%UTLOC%\System\ut2003.exe" dm-inferno?game=engine.gameinfo exec=%UTLOC%\Benchmark\Stuff\flybyexec.txt -benchmark -seconds=77 -nosound ini=%UTLOC%\Benchmark\Custom_MaxDetail\Custom_MaxDetail.ini userini=%UTLOC%\Benchmark\Stuff\MaxDetailUser.ini -1600x1200  
rem "%UTLOC%\System\ut2003.exe" dm-inferno?game=engine.gameinfo exec=%UTLOC%\Benchmark\Stuff\flybyexec.txt -benchmark -seconds=77 -nosound ini=%UTLOC%\Benchmark\Custom_MaxDetail\Custom_MaxDetail.ini userini=%UTLOC%\Benchmark\Stuff\MaxDetailUser.ini -1280x1024 
rem "%UTLOC%\System\ut2003.exe" dm-inferno?game=engine.gameinfo exec=%UTLOC%\Benchmark\Stuff\flybyexec.txt -benchmark -seconds=77 -nosound ini=%UTLOC%\Benchmark\Custom_MaxDetail\Custom_MaxDetail.ini userini=%UTLOC%\Benchmark\Stuff\MaxDetailUser.ini -1024x768 

"%UTLOC%\System\ut2003.exe" ctf-face3?game=engine.gameinfo exec=%UTLOC%\Benchmark\Stuff\flybyexec.txt -benchmark -seconds=116 -nosound ini=%UTLOC%\Benchmark\Custom_MaxDetail\Custom_MaxDetail.ini userini=%UTLOC%\Benchmark\Stuff\MaxDetailUser.ini -1600x1200 
rem "%UTLOC%\System\ut2003.exe" ctf-face3?game=engine.gameinfo exec=%UTLOC%\Benchmark\Stuff\flybyexec.txt -benchmark -seconds=116 -nosound ini=%UTLOC%\Benchmark\Custom_MaxDetail\Custom_MaxDetail.ini userini=%UTLOC%\Benchmark\Stuff\MaxDetailUser.ini -1280x1024 
rem "%UTLOC%\System\ut2003.exe" ctf-face3?game=engine.gameinfo exec=%UTLOC%\Benchmark\Stuff\flybyexec.txt -benchmark -seconds=116 -nosound ini=%UTLOC%\Benchmark\Custom_MaxDetail\Custom_MaxDetail.ini userini=%UTLOC%\Benchmark\Stuff\MaxDetailUser.ini -1024x768

"%UTLOC%\System\ut2003.exe" ctf-citadel?game=engine.gameinfo exec=%UTLOC%\Benchmark\Stuff\flybyexec.txt -benchmark -seconds=77 -nosound ini=%UTLOC%\Benchmark\Custom_MaxDetail\Custom_MaxDetail.ini userini=%UTLOC%\Benchmark\Stuff\MaxDetailUser.ini -1600x1200
rem "%UTLOC%\System\ut2003.exe" ctf-citadel?game=engine.gameinfo exec=%UTLOC%\Benchmark\Stuff\flybyexec.txt -benchmark -seconds=77 -nosound ini=%UTLOC%\Benchmark\Custom_MaxDetail\Custom_MaxDetail.ini userini=%UTLOC%\Benchmark\Stuff\MaxDetailUser.ini -1280x1024 
rem "%UTLOC%\System\ut2003.exe" ctf-citadel?game=engine.gameinfo exec=%UTLOC%\Benchmark\Stuff\flybyexec.txt -benchmark -seconds=77 -nosound ini=%UTLOC%\Benchmark\Custom_MaxDetail\Custom_MaxDetail.ini userini=%UTLOC%\Benchmark\Stuff\MaxDetailUser.ini -1024x768 

"%UTLOC%\System\ut2003.exe" dm-asbestos?game=engine.gameinfo exec=%UTLOC%\Benchmark\Stuff\flybyexec.txt -benchmark -seconds=71 -nosound ini=%UTLOC%\Benchmark\Custom_MaxDetail\Custom_MaxDetail.ini userini=%UTLOC%\Benchmark\Stuff\MaxDetailUser.ini -1600x1200  
rem "%UTLOC%\System\ut2003.exe" dm-asbestos?game=engine.gameinfo exec=%UTLOC%\Benchmark\Stuff\flybyexec.txt -benchmark -seconds=71 -nosound ini=%UTLOC%\Benchmark\Custom_MaxDetail\Custom_MaxDetail.ini userini=%UTLOC%\Benchmark\Stuff\MaxDetailUser.ini -1280x1024 
rem "%UTLOC%\System\ut2003.exe" dm-asbestos?game=engine.gameinfo exec=%UTLOC%\Benchmark\Stuff\flybyexec.txt -benchmark -seconds=71 -nosound ini=%UTLOC%\Benchmark\Custom_MaxDetail\Custom_MaxDetail.ini userini=%UTLOC%\Benchmark\Stuff\MaxDetailUser.ini -1024x768 

echo.
copy %UTLOC%\Benchmark\lowframerate.log
rename lowframerate.log HQ_FPS.txt

if exist "%UTLOC%\Benchmark\Custom_MaxDetail" rd /s /q "%UTLOC%\Benchmark\Custom_MaxDetail"  

goto :end 

:bados 
Echo WINDOWS NT or Higher Not Found! 
goto :end 

:end 
del c:\ut2k3.out
del ut.out
echo Unreal Tournament 2003 Benchmarking Completed
echo Please Open HQ_FPS.txt to view results
echo.
rem pause